using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StorageContracts
{
	public interface IRoleStorage
	{
		RoleBindingModel? Insert(RoleBindingModel model);

		IEnumerable<RoleBindingModel> GetList(RoleSearchModel? model);

		RoleBindingModel? GetElement(RoleSearchModel model);

		RoleBindingModel? Update(RoleBindingModel model);

		RoleBindingModel? Delete(RoleSearchModel model);
	}
}